ConllXPOSSampleStream (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.formats

## Class ConllXPOSSampleStream

- java.lang.Object
- - opennlp.tools.util.FilterObjectStream<String,POSSample>
  - - opennlp.tools.formats.ConllXPOSSampleStream

- All Implemented Interfaces:
    AutoCloseable, ObjectStream<POSSample>

      public class ConllXPOSSampleStream
      extends FilterObjectStream<String,POSSample>

  Parses the data from the CONLL 06 shared task into POS Samples.

  More information about the data format can be found here:
  http://www.cnts.ua.ac.be/conll2006/

  Note: Do not use this class, internal use only!

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConllXPOSSampleStream(InputStreamFactory in, Charset charset)`
    `ConllXPOSSampleStream(ObjectStream<String> lineStream)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `POSSample` | `read()` Returns the next object.

    - ### Methods inherited from class opennlp.tools.util.FilterObjectStream

      `close, reset`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConllXPOSSampleStream

          public ConllXPOSSampleStream(ObjectStream<String> lineStream)

    - #### ConllXPOSSampleStream

          public ConllXPOSSampleStream(InputStreamFactory in,
                                       Charset charset)
                                throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### read

          public POSSample read()
                         throws IOException

      Description copied from interface: `ObjectStream`
      Returns the next object. Calling this method repeatedly until it returns null will return each object from the underlying source exactly once.
      Returns:
        the next object or null to signal that the stream is exhausted
      Throws:
        `IOException` - if there is an error during reading

Copyright © 2026 The Apache Software Foundation. All rights reserved.